package com.docus.server.record.service;

import com.docus.server.record.pojo.dto.TBasicDTO;

import java.util.List;

public interface ITBasicService {

    /**
     * 新增
     *
     * @param dto
     * @throws Exception
     */
    void addTBasic(TBasicDTO dto) throws Exception;

    /**
     * 更新
     *
     * @param dto
     * @throws Exception
     */
    void updateTBasic(TBasicDTO dto) throws Exception;

    /**
     * 批量新增
     *
     * @param basicDTOList
     */
    void batchSaveBasics(List<TBasicDTO> basicDTOList);
}
